/***************************************************************************
 *   Copyright (C) 2010 by Consciousness								   *
 *   muwee@gala.net														   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef MAINWIN_H
#define MAINWIN_H
#include <QtGui/QtGui>
#include <kapplication.h>
#include <kmainwindow.h>
#include <kicontheme.h>


class mainwin : public KMainWindow
{
Q_OBJECT
public:
	mainwin();	
	~mainwin();
private slots:
	void applyApp();
	void applyIco();
	void toFile();
	void time();
	void drawWidgets();
	QString fontStyle(int);
	QString fontWeight(int);
	void iconCopy(QString,QString);
	void sym(QString,QString);
	QPixmap removeTransparency(QPixmap*,bool symmetric = true);
private:
	QPixmap pix,main,wpix;
	bool fileOpen;
	QString iname, isize,kit,fs;
	KIconTheme *defkit;
	QFile file, varfile;
	QSettings* sett;
	QColor col;
	QTransform rota;
	QPalette pal;
	QStringList colors;
	int i,j;
};
#endif

